local mod_name = core.get_current_modname()
local mod_path = core.get_modpath(mod_name)
local S = core.get_translator(mod_name)

aom_combat = {}
aom_combat.has_aom_tcraft = core.get_modpath("aom_tcraft") ~= nil

dofile(mod_path .. "/scripts" .. "/projectile.lua")
dofile(mod_path .. "/scripts" .. "/throwable.lua")
dofile(mod_path .. "/scripts" .. "/cooldown.lua")
dofile(mod_path .. "/scripts" .. "/telegraph.lua")
dofile(mod_path .. "/scripts" .. "/explosions.lua")
dofile(mod_path .. "/scripts" .. "/attack.lua")
dofile(mod_path .. "/scripts" .. "/item_register.lua")

-- items
dofile(mod_path .. "/items" .. "/melee_weapons.lua")
